> For the complete documentation index, see [llms.txt](https://docs.appmixer.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.appmixer.com/6.0/6.2/app-registration/dropbox.md).

# Dropbox

### Access the Dropbox App Console

* Open the [Dropbox App Console](https://www.dropbox.com/developers/apps).
* Log in with your Dropbox account credentials.

### Create OAuth app

![Create new OAuth app](/files/WktyjFppwfzt0W5tunn6)

### Settings page

* Set the Redirect URI to `https://[YOUR_API_BASE]/auth/dropbox/callback`, for example `https://api.appmixer.com/auth/dropbox/callback`
* To allow additional users, click on "Enable Additional Users.
* Configure the App Key as `clientId` and the App Secret as `clientSecret` in the service settings within the Backoffice, under the configuration ID `appmixer:dropbox`.
* To learn more about configuring connectors, please visit the [Connector Configuration](https://docs.appmixer.com/appmixer/getting-started/services) section.

![settings](/files/StFIftQYKy1TM54698fH)

### Permissions page

Ensure that the following permissions are selected:

* `account_info.read`
* `files.content.read`
* `files.content.write`
* `files.metadata.read`

![permissions](/files/oeNPW6DDlmgnImddj2DS)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.appmixer.com/6.0/6.2/app-registration/dropbox.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
